Bug 230727 - [patch] NIS file missing in tools/build/mk/OptionalObsoleteFiles.inc
Summary: [patch] NIS file missing in tools/build/mk/OptionalObsoleteFiles.inc
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords: easy, install, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-08-18 04:55 UTC by Dmitry Wagin
Modified: 2019-02-03 11:08 UTC (History)
1 user (show)

See Also:


Attachments
patch-OptionalObsoleteFiles.inc (312 bytes, patch)
2018-08-18 04:55 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2018-08-18 04:55:29 UTC
Created attachment 196312 [details]
patch-OptionalObsoleteFiles.inc
Comment 1 commit-hook freebsd_committer 2019-01-18 00:39:42 UTC
A commit references this bug:

Author: gonzo
Date: Fri Jan 18 00:39:18 UTC 2019
New revision: 343128
URL: https://svnweb.freebsd.org/changeset/base/343128

Log:
  Add ypldap to the list of conditional obsolete files

  ypldap should be removed during delete-old if WITHOUT_NIS flag is enabled

  PR:		230727
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>
  MFC after:	1 week

Changes:
  head/tools/build/mk/OptionalObsoleteFiles.inc
Comment 2 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-20 22:02:01 UTC
Patch has been committed to the repo. Thanks for submitting it.
Comment 3 commit-hook freebsd_committer 2019-02-03 11:08:01 UTC
A commit references this bug:

Author: gonzo
Date: Sun Feb  3 11:07:41 UTC 2019
New revision: 343711
URL: https://svnweb.freebsd.org/changeset/base/343711

Log:
  MFC r343009, r343109-r343110, r343128, r343232

  r343009:
  Add four kerberos CLI utilities to OptionalObsoleteFiles.inc

  Add asn1_compile, make-roken, kcc, and slc to the OptionalObsoleteFiles.inc
  so they would be removed during delete-old stage if the new world is built
  without Kerberos support.

  PR:		230725
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343109:
  Add optional obsolete files for the installworld without sendmail

  Add two more entries for WITHOUT_SENDMAIL install. The /var/spool/clientmqueue
  entry would be deleted only if there are no files/dirs in it, so the
  content generated during previous lifecycle of the system is safe

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343110:
  Fix conditional obsolete files entry for WITHOUT_EXAMPLES

  Add all the files under /usr/share/examples to the MK_EXAMPLES
  section. OLD_DIRS entries are not removed if they're not empty so
  prior to this change WITHOUT_EXAMPLES didn't have significant effect
  on the updated system.

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (original patch)

  r343128:
  Add ypldap to the list of conditional obsolete files

  ypldap should be removed during delete-old if WITHOUT_NIS flag is enabled

  PR:		230727
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343232:
  Add more profile-enabled libraries to remove when WITHOUT_PROFILE is defined

  PR:		230898
  Submitted by:	Herbert J. Skuhra <herbert@mailbox.org>

Changes:
_U  stable/12/
  stable/12/tools/build/mk/OptionalObsoleteFiles.inc